Create a Premium
curl --request POST \
--url https://api.virtuoussoftware.com/api/Premium \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"price": "<double>",
"fairMarketValue": "<double>",
"description": "<string>",
"cost": "<double>",
"inventoryCount": "<integer>",
"isActive": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
price: '<double>',
fairMarketValue: '<double>',
description: '<string>',
cost: '<double>',
inventoryCount: '<integer>',
isActive: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Premium', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Premium"
payload = {
"name": "<string>",
"code": "<string>",
"price": "<double>",
"fairMarketValue": "<double>",
"description": "<string>",
"cost": "<double>",
"inventoryCount": "<integer>",
"isActive": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Premium");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"price\": \"<double>\",\n \"fairMarketValue\": \"<double>\",\n \"description\": \"<string>\",\n \"cost\": \"<double>\",\n \"inventoryCount\": \"<integer>\",\n \"isActive\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Premium",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'code' => '<string>',
'price' => '<double>',
'fairMarketValue' => '<double>',
'description' => '<string>',
'cost' => '<double>',
'inventoryCount' => '<integer>',
'isActive' => '<boolean>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Premium")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"price\": \"<double>\",\n \"fairMarketValue\": \"<double>\",\n \"description\": \"<string>\",\n \"cost\": \"<double>\",\n \"inventoryCount\": \"<integer>\",\n \"isActive\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Premium")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"price\": \"<double>\",\n \"fairMarketValue\": \"<double>\",\n \"description\": \"<string>\",\n \"cost\": \"<double>\",\n \"inventoryCount\": \"<integer>\",\n \"isActive\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Premium';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
price: '<double>',
fairMarketValue: '<double>',
description: '<string>',
cost: '<double>',
inventoryCount: '<integer>',
isActive: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 3205,
"name": "Commemorative Coffee Mug",
"code": "MUG-2025",
"description": "Ceramic mug offered as a thank-you for Giving Tuesday gifts.",
"price": 0,
"fairMarketValue": 8,
"cost": 3.25,
"inventoryCount": 250,
"isActive": true,
"createDateTimeUtc": "2025-11-15T17:30:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:30:00Z",
"modifiedByUser": "Partner Integration",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Premiums
Create a Premium
POST
/
api
/
Premium
Create a Premium
curl --request POST \
--url https://api.virtuoussoftware.com/api/Premium \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"price": "<double>",
"fairMarketValue": "<double>",
"description": "<string>",
"cost": "<double>",
"inventoryCount": "<integer>",
"isActive": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
price: '<double>',
fairMarketValue: '<double>',
description: '<string>',
cost: '<double>',
inventoryCount: '<integer>',
isActive: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Premium', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Premium"
payload = {
"name": "<string>",
"code": "<string>",
"price": "<double>",
"fairMarketValue": "<double>",
"description": "<string>",
"cost": "<double>",
"inventoryCount": "<integer>",
"isActive": "<boolean>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Premium");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"price\": \"<double>\",\n \"fairMarketValue\": \"<double>\",\n \"description\": \"<string>\",\n \"cost\": \"<double>\",\n \"inventoryCount\": \"<integer>\",\n \"isActive\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Premium",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'code' => '<string>',
'price' => '<double>',
'fairMarketValue' => '<double>',
'description' => '<string>',
'cost' => '<double>',
'inventoryCount' => '<integer>',
'isActive' => '<boolean>',
'customFields' => [
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
],
[
'name' => '<string>',
'value' => '<string>',
'displayName' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://api.virtuoussoftware.com/api/Premium")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"price\": \"<double>\",\n \"fairMarketValue\": \"<double>\",\n \"description\": \"<string>\",\n \"cost\": \"<double>\",\n \"inventoryCount\": \"<integer>\",\n \"isActive\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Premium")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"code\": \"<string>\",\n \"price\": \"<double>\",\n \"fairMarketValue\": \"<double>\",\n \"description\": \"<string>\",\n \"cost\": \"<double>\",\n \"inventoryCount\": \"<integer>\",\n \"isActive\": \"<boolean>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Premium';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
price: '<double>',
fairMarketValue: '<double>',
description: '<string>',
cost: '<double>',
inventoryCount: '<integer>',
isActive: '<boolean>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 3205,
"name": "Commemorative Coffee Mug",
"code": "MUG-2025",
"description": "Ceramic mug offered as a thank-you for Giving Tuesday gifts.",
"price": 0,
"fairMarketValue": 8,
"cost": 3.25,
"inventoryCount": 250,
"isActive": true,
"createDateTimeUtc": "2025-11-15T17:30:00Z",
"createdByUser": "Partner Integration",
"modifiedDateTimeUtc": "2025-11-15T17:30:00Z",
"modifiedByUser": "Partner Integration",
"customFields": []
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Body
application/json
Response
OK
Last modified on April 23, 2026
Was this page helpful?